2 Replies Latest reply: May 18, 2013 6:29 AM by Kirby Krieger
RealGrandma Level 1 Level 1 (0 points)

Should I remove my old version of aperture before installing and attempting to use the new version of Aperture 3?


Aperture 3, OS X Mountain Lion (10.8.3)